# TiXmlDeclaration Class Reference

Inheritance diagram for TiXmlDeclaration:

[legend]
Collaboration diagram for TiXmlDeclaration:

[legend]
List of all members.

## Public Member Functions

| TiXmlDeclaration ()
| Construct an empty declaration.
| TiXmlDeclaration (const char *_version, const char *_encoding, const char *_standalone)
| Construct.
| TiXmlDeclaration (const TiXmlDeclaration &copy)
void | operator= (const TiXmlDeclaration &copy)
const char * | Version () const
| Version. Will return an empty string if none was found.
const char * | Encoding () const
| Encoding. Will return an empty string if none was found.
const char * | Standalone () const
| Is this a standalone document?
virtual TiXmlNode * | Clone () const
| Creates a copy of this Declaration and returns it.
virtual void | Print (FILE *cfile, int depth) const
| Print this declaration to a FILE stream.
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)

## Protected Member Functions

void | CopyTo (TiXmlDeclaration *target) const
virtual void | StreamOut (TIXML_OSTREAM *out) const

## Detailed Description

In correct XML the declaration is the first entry in the file.

    		<?xml version="1.0" standalone="yes"?>

TinyXml will happily read or write files without a declaration, however. There are 3 possible attributes to the declaration: version, encoding, and standalone.

Note: In this version of the code, the attributes are handled as special cases, not generic attributes, simply because there can only be at most 3 and they are always the same.